<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>CORK Admin Template - Custom Styled DataTables</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!-- BEGIN PAGE LEVEL CUSTOM STYLES -->
    <link rel="stylesheet" type="text/css" href="/assets/css/forms/switches.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/datatables.css">
    <link rel="stylesheet" type="text/css" href="/assets/css/forms/theme-checkbox-radio.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/dt-global_style.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/custom_dt_custom.css">
    <link rel="stylesheet" type="text/css" href="/plugins/dropify/dropify.min.css">
    <!-- END PAGE LEVEL CUSTOM STYLES -->
</head>

<body class="sidebar-noneoverflow">

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar') %>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="cs-overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">
                <div class="container">
                    <div class="row layout-top-spacing layout-spacing">
                        <div class="col-lg-12">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-8 col-md-8 col-sm-12 col-12 text-left" >
                                            <h4 class="mt-4 ml-2" style="font-size: 22px;">ช่องทางลูกค้า</h4>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-8 col-md-6 col-sm-4 col-4">
                                            <button class="btn btn-success ml-4" data-toggle="modal" data-target="#Channel_create" onclick="add_Channel(0,'','')">เพิ่มช่องทาง</button>
                                        </div>
                                        <div class="col-xl-2 col-md-2 col-sm-2 col-4 multiCheckbox" hidden>
                                            <div class="form-group">
                                                <select class="form-control w-100" id="switch_option">
                                                    <option value="0">ปิด</option>
                                                    <option value="1">เปิด</option>
                                                </select>
                                            </div>
                                        </div>
                                        <!-- <div class="col-xl-2 col-md-2 col-sm-2 col-2 text-center multiCheckbox" >
                                            
                                        </div> -->
                                        <div class="col-xl-2 col-md-4 col-sm-4 col-2 text-left multiCheckbox" hidden>
                                            <button class="btn btn-warning text-center" onclick="check_all(1)">เปลี่ยนสถานะ</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area">
                                    <div class="table-responsive mb-4">
                                        <table id="style-2" class="table style-2  table-hover">
                                            <thead>
                                                <tr>
                                                    <th>id</th>
                                                    <th>Name</th>
                                                    <th>status</th>
                                                    <th>created</th>
                                                    <th class="text-center" style="width:100px;">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <% Channel.forEach((element) =>{ %>
                                                    <tr>
                                                        <td class="id"><%=element.id %></td>
                                                        <td><%=element.channel_name %></td>
                                                        <td>
                                                            <label class="switch s-success">
                                                                <% if(element.status_channel == 1){ %>
                                                                    <input type="checkbox" checked>
                                                                <% } else { %>
                                                                    <input type="checkbox">
                                                                <% } %>
                                                                <span class="slider round" id="<%=element.id %>" onclick="status_channel('<%=element.id %>')"></span>
                                                            </label>
                                                        </td>
                                                        <td><%=element.created %></td>
                                                        <td class="text-center">
                                                            <% if(element.created == locals.shop){ %>
                                                            <a href="javascript:void(0);" class="bs-tooltip" data-toggle="modal" data-target="#Channel_create" data-placement="top" title="" data-original-title="Edit" onclick="add_Channel('<%=element.id %>','<%=element.channel_name %>','<%=element.image %>')">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit-2 table-edit">
                                                                    <path d="M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z"></path></svg>
                                                            </a>
                                                            <a href="javascript:void(0);" class="bs-tooltip" data-toggle="tooltip" data-placement="top" title="" data-original-title="Delete" onclick="delete_channel('<%=element.id %>','<%=element.channel_name %>')">
                                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x-circle table-cancel">
                                                                    <circle cx="12" cy="12" r="10"></circle><line x1="15" y1="9" x2="9" y2="15"></line>
                                                                    <line x1="9" y1="9" x2="15" y2="15"></line></svg></a>
                                                            <% } %>
                                                        </td>
                                                    </tr>
                                                <% }) %>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2020 <a target="_blank" href="https://designreset.com">DesignReset</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg></p>
                </div>
            </div>
        </div>
        <!--  END CONTENT AREA  -->

    </div>
    <!-- END MAIN CONTAINER -->


    <div class="modal fade" id="Channel_create" tabindex="-1" role="dialog" aria-labelledby="Channel_Title"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="Channel_Title">รายละเอียด<b class="text-success" id="text_header">ช่องทางการขาย</b></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>ชื่อช่องทาง</label>
                                    <input id="id" type="hidden" />
                                    <input id="Channel_name" class="form-control" type="text" value="" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <label>ชื่อช่องทาง</label>
                            </div>
                            <div class="col-12" id="img_Channel">
                                <input type="file" id="input-file-now" class="dropify"/>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" data-dismiss="modal" id="add" class="btn btn-success">เพิ่ม</button>
                    <button type="button" data-dismiss="modal" class="btn btn-danger">ปิด</button>
                </div>
            </div>
        </div>
    </div>



    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="/plugins/dropify/dropify.min.js"></script>
    <script src="/assets/js/app.js"></script>

    <script>
        let promotion = [] 
        let promotion_detail = []
        let dataitem
        let shop_item = []
        $(document).ready(function () {
            $('#Setting_menu').addClass('active')
            $('#setting').addClass('show')
            $('#channel').addClass('active')
            $('#Setting_menu > a').attr('aria-expanded',true)
            App.init();
        });


        let add = document.getElementById('add')
        add.addEventListener('click',async (e)=>{
            let id = $('#id').val()
            let name = $('#Channel_name').val()
            let file = $('#input-file-now')[0].files
            console.log(id,name)
            $('.dropify').dropify({
                defaultFile: '',
            });
            if((file.length == 0 || name == '') && parseInt(id) == 0){
                Swal.fire('กรุณากรอกช่องทางให้ครบ','','warning')
            }else{
                let form = new FormData()
                form.append('text',name)
                form.append('files',file[0])
                form.append('id',parseInt(id))
                link = `/Setting/Addchannel`
                if(parseInt(id) != 0){
                    link = `/Setting/updatechannel`
                }
                $.ajax({
                    url: link,
                    data: form,
                    processData: false,
                    contentType: false,
                    type: 'post',
                    success: function(data){
                        if(parseInt(id) == 0){
                            if(data.Message == 'Success'){
                                Swal.fire('เพิ่มช่องทางสำเร็จ','','success').then(()=>{location.reload()})
                            }else{
                                Swal.fire('เพิ่มช่องทางไม่สำเร็จ')
                            }
                        }else{
                            if(data.Message == 'Success'){
                            Swal.fire('อัพเดทช่องทางสำเร็จ','','success').then(()=>{location.reload()})
                            }else{
                                Swal.fire('อัพเดทช่องทางไม่สำเร็จ')
                            }
                        }
                    }
                });
            }
        })
        
        async function add_Channel(id,name,image){
            $('#id').val(id)
            $('#Channel_name').val(name)
            $('.dropify').attr('data-default-file',image)
            var filedropper = $('#input-file-now').dropify();
            filedropper = filedropper.data('dropify');
            filedropper.resetPreview();
            filedropper.clearElement();
            filedropper.settings['defaultFile'] = image;
            filedropper.destroy();
            filedropper.init();
        }

        async function delete_channel(id,channel){
            const swalWithBootstrapButtons = Swal.mixin({
            customClass: {
                confirmButton: 'btn btn-success',
                cancelButton: 'btn btn-danger'
            },
            buttonsStyling: false
            })

            swalWithBootstrapButtons.fire({
            title: 'ต้องการลบช่องทาง',
            text: `ชื่อ ${channel}`,
            icon: 'warning',
            showCancelButton: true,
            confirmButtonText: 'ลบช่องทาง',
            cancelButtonText: 'ปิด',
            reverseButtons: true
            }).then((result) => {
                if (result.isConfirmed) {
                    axios.post('/Setting/deletechannel',{id:parseInt(id)})
                    .then((Response)=>{
                        if(Response.data.Message == 'Success'){
                            Swal.fire(`ลบช่องทาง${channel}สำเร็จ`,'','success').then(()=>{location.reload()})
                        }else{
                            Swal.fire(`ลบช่องทาง${channel}ไม่สำเร็จ`)
                        }
                    })
                }
            })
        }
    
        async function status_channel(id){
            axios.post('/Setting/changechannel',{id:id}).then((response)=>{
                if(response.data.Message == 'Success'){
                    Swal.fire('อัพเดทสถานะสำเร็จ','','success')
                }else{
                    Swal.fire('อัพเดทสถานะไม่สำเร็จ','','error')
                }
            })
        }
    </script>
    <script src="/assets/js/custom.js"></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="/plugins/table/datatable/datatables.js"></script>
    <script>
        // var e;
        c1 = $('#style-1').DataTable({
            headerCallback: function (e, a, t, n, s) {
                e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1, render: function (e, a, t, n) {
                    return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c1);

        c2 = $('#style-2').DataTable({
            // headerCallback: function (e, a, t, n, s) {
            //     e.getElementsByTagName("th")[0].innerHTML = '<label class="new-control new-checkbox checkbox-outline-primary m-auto">\n<input type="checkbox" class="new-control-input chk-parent select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
            // },
            columnDefs: [{
                targets: 0, width: "30px", className: "", orderable: !1,
                //  render: function (e, a, t, n) {
                //     return '<label class="new-control new-checkbox checkbox-outline-primary  m-auto">\n<input type="checkbox" class="new-control-input child-chk select-customers-info" id="customer-all-info">\n<span class="new-control-indicator"></span><span style="visibility:hidden">c</span>\n</label>'
                // }
            }],
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c2);

        c3 = $('#style-3').DataTable({
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "stripeClasses": [],
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 5
        });

        multiCheck(c3);

        $(".checkbox-columnall").on("click", function() {
            $(".checkbox-column").click();
            if($(".chk-parent").is(":checked")){
                $(".child-chk").prop('checked',false)
            }else{
                $(".child-chk").prop('checked',true)
            }
        })

        $("#style-2").on("click",'.checkbox-column', async function() {
            // console.log($(this))
            var data = []; 
            await  $("table > tbody > tr").each(function () {
            var $tr = $(this);
            if ($tr.find(".child-chk").is(":checked")) {
                $(".multiCheckbox").removeAttr('hidden',true)
                // console.log($tr.find("td.code")[0].innerHTML)
                data.push({
                    promotion_code: $tr.find("td.code")[0].innerHTML
                // number: Number($tr.find(".qty").text())
                });
            }
            if(data.length == 0){
                $(".multiCheckbox").attr('hidden',true)
            }
        
            });
            // console.clear();
            // console.log(JSON.stringify(data));
            dataitem = data
        });
    </script>
    <!-- END PAGE LEVEL SCRIPTS -->
</body>

</html>